package com.lwby.aas;

import com.alicp.jetcache.anno.config.EnableCreateCacheAnnotation;
import com.alicp.jetcache.anno.config.EnableMethodCache;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.*;

@EnableCreateCacheAnnotation
@EnableMethodCache(basePackages = "com.lwby.aas")
@SpringBootApplication
@RestController
@EnableAsync
@Slf4j
@Component
public class Main {

    @Resource
    JdbcTemplate lwbyJdbcTemplate;

//    @Resource
//    private KafkaTemplate<String, String> kafkaTemplate;
//
//    @Resource
//    private AttributionTestHandle attributionHandle;
//
//    @KafkaListener(topics = "registerMediaEvent1", groupId = "test")
//    public void listen(String message) {
//        System.out.println("Received Message: " + message);
//
//        attributionHandle.handle(message);
//
//        try {
//            Thread.sleep(2000);
//        } catch (InterruptedException e) {
//            throw new RuntimeException(e);
//        }
//    }

    @PostConstruct
    private void init(){

    }

    public static void main(String[] args) {
        TimeZone.setDefault(TimeZone.getTimeZone("Asia/Shanghai"));
        SpringApplication.run(Main.class, args);
    }
}