package com.lwby.aas.po;

import lombok.Data;

@Data
public class AppChannel {
    private Integer id;
    /**
     * 合作方
     */
    private String cpname;
    /**
     * 渠道名
     */
    private String channel;
    /**
     * 渠道号
     */
    private String channelId;
    /**
     * 合作方式
     */
    private String type;
    /**
     * 平台id
     */
    private Integer platformId;
    /**
     * 包：1=必看小说标准版 2=广告版
     */
    private Integer shadowPackage;
    /**
     * 1 = s 安全 2 = g 普通 3 = h 大尺度
     */
    private Integer level;
    /**
     * 当前渠道收费章节，不填从默认章节收费
     */
    private Integer chargeChapterNum;
    /**
     * 0=显示原书名  1=显示多媒体书名
     */
    private Integer isSubTitle;
    /**
     * 0按渠道收费章节 1按书籍收费章节
     */
    private Integer newUserSwitch;
    /**
     * 是否直接广告订阅
     */
    private Integer autoAd;
    /**
     * 推广扣量默认不扣量
     */
    private Integer sprDedu;
    /**
     *
     */
    private String productLine;
    /**
     * apk链接
     */
    private String apkUrl;
    /**
     * 书号
     */
    private Integer bookId;
    /**
     * 章节数
     */
    private Integer chapterNum;
    /**
     * 授权模式(1.授权模式，2非授权模式)
     */
    private Integer authType;
    /**
     * 链接类型（1 http 2.hap）
     */
    private Integer linkType;

    private static final long serialVersionUID = 1L;
    /**
     * 媒体
     */
    private String mediaName;
    /**
     * 代理
     */
    private String proxyName;
}
