package com.lwby.aas.util;

/**
 * @author songxinyu
 * @version BaseCache.java, v 0.1 2024年02月22日 18:53 songxinyu Exp $
 */
public class BaseCacheUtils {

    public static String buildKey(String prefix, Object... keys) {
        StringBuilder sb = new StringBuilder();
        sb.append(prefix);
        for (Object key : keys) {
            sb.append(":");
            sb.append(key);
        }
        return sb.toString();
    }
}
