package com.lwby.aas.vo;

import lombok.Data;

@Data
public class DeliveryDeviceInfo {
    private String device_id; //设备id，和其他业务表一致
    private String  ocpc_device_id; //ocpc业务原始设备id，可能是明文或者密文
    private String ocpc_device_id_type; // 设备id类型(idfa，imei，oaid...)
    private String  encryption_type;  // 加密类型，MD5,明文等
    private String  platform_id; //  （监测链接）
    private String channel; // 渠道id
    private String dj_channel; //点击渠道
    private String book_id; // 书籍id
    private String media; // 媒体标识（如'jrtt'，'gdt'）
    private String os; // 系统
    private String advertiser_id; // 账号
    private String ad_group_id; //广告组id
    private String ad_plan_id; //广告计划id
    private String ad_creative_id; // 广告创意id
    private String ip;
    private String  ua;
    private String callback_url;
    private String parameter; //(所有参数以json的形式存在这里)
    private long click_time = 0; // 点击时间
    private Long active_time; //激活时间
    private Integer is_call; // 是否回调 2 回调 3 不回调 4 扣量 5 老用户xx天活跃不回传 6短剧注册发消息 7 老用户在配置活跃天数内不回传 8 关键行为  9 使用ip只发bi消息
    private String click_id; //点击id
    private String uuid;// 唯一id
    private String ad_platform_type;
    private String target_audience;
    //通投智选使用字段-点击来自穿山甲的广告位编码
    private String union_site;
    //客户在小米渠道投放的渠道包的 id 值
    private String appId;
    //头条回传上报途径 巨量引擎的关键广告信息
    private String callback_param;
    //巨量广告体验版中特有的宏参，代表巨量广告体验版的项目ID
    private String promotion_id;
    //巨量广告体验版中的广告名称
    private String project_id;
    //巨量广告体验版中的广告名称
    private String promotion_name;
    //巨量广告体验版中的项目名称
    private String project_name;
    //请求id vivo 商店投放 带监测链接
    private String request_id;
    //存oaid
    private String oaid;
    //章节id
    private String partId;
    /**
     * 百度专用账户key
     */
    private String aKey;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 投放来源
     */
    private Integer source;
    //落地页url
    private String link;

    private String ctype;

    /**
     * 存媒体下发的imeiMd5给广告使用
     */
    private String imeiMd5;
    /**
     * 微信小程序appid
     */
    private String wechatAppId;
    /**
     * 微信小程序openid
     */
    private String wechatOpenId;

    /**
     * 短剧剧名id
     */
    private String productId;
    /**
     * 短剧剧名
     */
    private String productName;
    /**
     * 短剧付费金额
     */
    private Double value;

    /**
     * 小程序短剧广点通 下单上报媒体字段
     */
    private  String orderObject;

    private Integer device_status;

    //手机型号
    private String model;

    private String videoResourceId;

    private String videoId;

    private String registerTime;

    private String ecpmAvgCount;
    private String motivateCount;
    private String arpuCount;
    //每次ecpm达标
    private String pecpmCount;
    //达标次数，与激励视频阈值比较
    private String perecpmSize;
    //素材
    private String mid1;
    private String mid2;
    private String mid3;
    private String mid4;
    private String mid5;
    private String mid6;
}
