//package com.lwby.aas.handle;
//
//import com.alibaba.fastjson2.JSON;
//import com.alibaba.fastjson2.JSONObject;
//import com.lwby.aas.DeviceType;
//import com.lwby.aas.handle.impl.PrizeSevenUserHandle;
//import com.lwby.aas.vo.BookStoreEvent;
//import com.lwby.aas.vo.ClientInfo;
//import com.lwby.aas.vo.DeliveryDeviceInfo;
//import com.lwby.aas.vo.UserProfile;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.commons.lang3.math.NumberUtils;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.Resource;
//import java.util.*;
//
//@Slf4j
//@Component
//public class AttributionTestHandle extends BaseHelper{
//    /**
//     * 归因商店窗口时间 单位为：毫秒
//     */
//    @Value("${ascribe.to.store.time:600000}")
//    private Long ascribeToStoreTime;
//    /**
//     * 开启归因商店窗口时间的平台
//     */
//    @Value("${ascribe.to.store.platformId:51}")
//    private String ascribeToStorePlatformIdStr;
//
//    @Value("${media.channel.prefix:18,21,22,23}")
//    private String mediaChannelPrefixStr;
//
//    /**
//     * 老用户活跃设备不回传指定平台的账号配置对应的天数，格式：{"平台Id_账号":"天数"}，key只有平台Id表示平台默认的天数
//     */
//    @Value("${daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccount:{}}")
//    private String daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccount;
//
//    @Resource
//    private PrizeSevenUserHandle prizeHandle;
//
//    public void handle(String msg) {
//        //String str = "{\"bookStoreEvent\":1,\"clientInfo\":{\"channel\":220605094,\"clientIp\":\"171.14.28.126\",\"dID\":\"aad1da5913749ee5\",\"ddid\":\"null\",\"firm\":\"HUAWEI\",\"fixVersion\":12,\"mainVersion\":2,\"oaid\":\"f243f86a-8887-44df-92f3-7efed504b6f7\",\"os\":\"0\",\"phoneModel\":\"NOH-AN00\",\"pkv\":1,\"platformGroupId\":6,\"platformId\":6,\"pm\":\"NOH-AN00\",\"screenSize\":\"1152*2256\",\"sessionid\":\"wnL6tSDnvCjwnLtNJRDK299Z_jQEkUqSj\",\"signVersion\":2,\"subVersion\":27,\"systemVersion\":\"12\",\"ua\":\"Mozilla/5.0 (Linux; Android 12; NOH-AN00 Build/HUAWEINOH-AN00; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/99.0.4844.88 Mobile Safari/537.36\",\"user\":{\"career\":\"\",\"channel\":220605094,\"deviceId\":\"aad1da5913749ee5\",\"experience\":1,\"gender\":\"M\",\"headImage\":\"http://cdn.ibreader.com/group1/M00/56/07/rBH0olunjiKAJCYCAAAQJEqQEcM308.png\",\"id\":133842748,\"isKaiqiUser\":false,\"isMajia\":false,\"isPrivate\":false,\"lastLogin\":1705980630000,\"level\":0,\"mainversion\":2,\"nickname\":\"书友742606\",\"platformId\":6,\"registrationDate\":1705980630000,\"subversion\":27,\"userStatus\":0,\"username\":\"bduXujqDcJbCZD\"},\"version\":\"6.2.27.12.220605094\",\"visitor\":\"wnL6tSDnvCjwnLtNJRDK299Z_jQEkUqSj\",\"xClient\":\"dID=aad1da5913749ee5;os=0;firm=HUAWEI;webVersion=new;version=6.2.27.12.220605094;username=wnL6tSDnvCjwnLtNJRDK299Z_jQEkUqSj;ddid=null;sv=12;pm=NOH-AN00;ss=1152*2256;signVersion=2;androidosv=31;oaid=f243f86a-8887-44df-92f3-7efed504b6f7;pkv=1;\"},\"createTime\":1705980632408,\"extraData\":{},\"id\":\"fd17b7d0-2ec2-4392-8980-170dbdf36e69\"}";
//
//
//        BookStoreEvent event = JSONObject.parseObject(msg, BookStoreEvent.class);
//        ClientInfo clientInfo = event.getClientInfo();
//
//        //ANDROID deviceId
//        String deviceId = clientInfo.getDID();
//        //平台ID
//        Integer platformId = clientInfo.getPlatformId();
//
//        //获取用户注册时间
//        UserProfile userProfile = clientInfo.getUser();
//        if (userProfile == null || userProfile.getRegistrationDate() == null) {
//            log.error("ClientInfo.userProfile 对像为[{}],BookStoreEvent报文[{}]、对像[{}]",userProfile, msg, event);
//            return;
//        }
//
//        String encryptType = "original";
//        DeviceType deviceType = null;
//        DeliveryDeviceInfo deliveryDeviceInfo = null;
//        String deviceIdKey = null;
//
//        for(DeviceType type:DeviceType.values()){
//            deviceIdKey = type.getDeviceId(clientInfo);
//            if(null != deviceIdKey && null != (deliveryDeviceInfo = getForRedis(assembleKey(deviceIdKey,platformId)))){
//                deviceType = type;
//                clientInfo.setOaid(deliveryDeviceInfo.getOaid());   //回补参数
//                break;
//            }
//        }
//
//        if (Objects.isNull(deliveryDeviceInfo)) {
//            log.error("DeviceId未能匹配到DeliveryDeviceInfo对像, BookStoreEvent报文[{}]", msg);
//            return;
//        }
//
//        //IP归因直接扣量？
//        if (DeviceType.IP == deviceType) {
//            //summaryByUserChannel(clientInfo, null, 9,deliveryDeviceInfo,matchDeviceId,deviceIdType,encryptType);
//            return;
//        }
//
//        //商业化处理(如果大于7天，算拉新老用户）//TODO;补充说明
////        prizeHandle.handle(userProfile,platformId);
//
//        // 投放账户
//        String advertiserId = deliveryDeviceInfo.getAdvertiser_id();
//        // 获取媒体
//        String media = deliveryDeviceInfo.getMedia();
//        // 用户ID
//        String userId = String.valueOf(userProfile.getId());
//        //是否纯新用户（true 是，false 不是.定义:如果是今天注册算纯新用户）
//        boolean isRealUser = isCurrentDayTime(userProfile.getRegistrationDate());
//        //设置注册时间
//        deliveryDeviceInfo.setRegisterTime(DATE_TIME_FORMAT.format(userProfile.getRegistrationDate()));
//
//        //TODO;GC
//        //false 新用户  true  老用户
//        boolean isCheckDateSevenBefore = false;
//        //广点通新增150天老用户，走扣量回传逻辑，分子＋分母
//        boolean isOneFifityUser = false;
//        //广点通新增纯新用户，全回传，算到扣量分母
//        boolean isRealNewUser = false;
//        //广点通两者之间的老用户
//        boolean isBetweenUser = false;
//
//
//        // 判断是否来自商店下载的包，是则需判断是否在窗口期内，不是的归因到商店   前置，不参与扣量！！！
//        //TODO;建议在前置任务报警
//        if (ascribeToStore(deliveryDeviceInfo, clientInfo)) {
//            //summaryByUserChannel(clientInfo, source, 3,null,matchDeviceId,deviceIdType,encryptType);
//            return;
//        }
//
//
//        //点击渠道
//        Integer djChannel = StringUtils.isNotBlank(deliveryDeviceInfo.getDj_channel()) ? Integer.parseInt(deliveryDeviceInfo.getDj_channel()) : null;
//
//        boolean isOldUserByalive = false;
//
//        //非纯新用户逻辑,判断指定天数内，是否活跃，如果有直接扣量。
//        if (!isRealUser) {
//            //分平台，分广告主取 活跃天数据，判断老用户是否在活跃天数内
//            int daysOfOldUserNoReturnAliveDevice = this.getDaysOfOldUserNoReturnAliveDevice(platformId, advertiserId);
//
//            if (daysOfOldUserNoReturnAliveDevice == 0) {
//                //TODO;不部不回传？
//                return;
//            }
//
//            // 指定天数相关时间
//            long lastestAliveTime = System.currentTimeMillis() - (daysOfOldUserNoReturnAliveDevice * 24 * 60 * 60 * 1000);
//            Date lastestAliveDate = new Date(lastestAliveTime);
//
//            //查询指定天数内，是否活跃
//            Integer aliveCount = getOldUserCountByUserIdAndlatestDate(userId, lastestAliveDate);
//            if (aliveCount != null && aliveCount >= 1) {
//                //在配置的活跃天数内，不回传，参与扣量
//                //如果在指定活跃天数内，不回传，直接参与扣量。
//                isOldUserByalive = true;
//            }
//        }
//
//        //是否当天已经激活过一次，没有，则走原来逻辑（扣量+回传），如果有，则表示当天已经激活过一次了，直接跳过
//        String _date = DATE_BOTTOM_FORMAT.format(new Date());
//        //回传
//        String isActiveOneByTodayKey = String.format("v_dec_%s_%d_%s_%s",deviceId,platformId,media,_date);
//        //扣量
//        String isDeducOneByTodayKey = String.format("v_deduc_%s_%d_%s_%s",deviceId,platformId,media,_date);
//
//
//        long expireTime = (getTodayStartTime() - System.currentTimeMillis())/1000;
//
//        if (exists(isActiveOneByTodayKey) || exists(isDeducOneByTodayKey)) {
//            //如果存在回传或扣量 设置今天过期
////            expire(oaidKey, expireTime);
////            expire(ipAndUaKey, expireTime);
////            expire(ipAndModelKey, expireTime);
////            expire(imeiKey,expireTime);
//
//            //直接return,不走扣量
//            return;
//        } else {
//            //计划扣量
////            String acPlanList = accountPlanCallbackService.getAccountPlanCallback();
//            String acPlanList = "";
//            //扣量回传媒体
//            //1 扣量  0 不扣量
//            if (deduction(platformId, djChannel, deliveryDeviceInfo.getAd_plan_id(), isRealUser, deviceId, deliveryDeviceInfo.getAdvertiser_id(), isOldUserByalive, isRealNewUser, isBetweenUser, media,  acPlanList)) {
//                if (isOldUserByalive) {
//                    //summaryByUserChannel(clientInfo, source, 7, deliveryDeviceInfo, matchDeviceId, deviceIdType, encryptType);
//                } else {
//                    //summaryByUserChannel(clientInfo, source, 4, deliveryDeviceInfo, matchDeviceId, deviceIdType, encryptType);
//                }
//                set(isDeducOneByTodayKey, 60 * 60 * 24, 1);
////                expire(oaidKey, expireTime);
////                expire(ipAndUaKey, expireTime);
////                expire(ipAndModelKey, expireTime);
////                expire(imeiKey, expireTime);
//                //扣量设备存入数据库
//                //deductionDeviceFacade.saveDeductionDevice(clientInfo, deliveryDeviceInfo);
//            } else {
//                //不扣量回传媒体
//                //正常上报的删除点击缓存
//                //if，deliveryDeviceInfo is not null,deleteredis
//                if (Objects.nonNull(deliveryDeviceInfo)) {
////                    del(imeiKey);
////                    del(oaidKey);
////                    del(ipAndUaKey);
////                    del(ipAndModelKey);
//                }
//                //正常上报逻辑
//                //registerCallBackFacade.registerCallBack(clientInfo, source, deliveryDeviceInfo, matchDeviceId, deviceIdType, encryptType);
//            }
//        }
//    }
//
//
//    /**
//     * 校验是否归因到商店 有点击(播放)行为，并且在窗口期内的归信息流，否则归商店
//     *
//     * @param deliveryDeviceInfo 点击数据
//     * @param clientInfo         用户信息
//     * @return 是否
//     */
//    private boolean ascribeToStore(DeliveryDeviceInfo deliveryDeviceInfo, ClientInfo clientInfo) {
//        String channelStr = String.valueOf(clientInfo.getChannel());
//        // 目前只开放51平台
//        String[] ascribeToStorePlatformIdArray = ascribeToStorePlatformIdStr.split(",");
//        List<String> ascribeToStorePlatformIdList = Arrays.asList(ascribeToStorePlatformIdArray);
//        if (StringUtils.isBlank(channelStr) || !ascribeToStorePlatformIdList.contains(deliveryDeviceInfo.getPlatform_id())) {
//            return false;
//        }
//        // 不符合规则的老渠道号不参与判断
//        if (channelStr.length() < 9) {
//            log.info("ascribeToStore_false_old_channel: channel:{}", channelStr);
//            return false;
//        }
//        String channelPrefix = channelStr.substring(0, 2);
//        String[] mediaChannelPrefixArray = mediaChannelPrefixStr.split(",");
//        List<String> mediaChannelPrefixList = Arrays.asList(mediaChannelPrefixArray);
//        long timeDifference = System.currentTimeMillis() - deliveryDeviceInfo.getClick_time();
//        if (timeDifference > ascribeToStoreTime && !mediaChannelPrefixList.contains(channelPrefix)) {
//            return true;
//        }
//        return false;
//    }
//
//
//    /**
//     * 获取不回传活跃的天数
//     *
//     * @param platformId   平台Id
//     * @param advertiserId 广告账户
//     * @return 对应的不回传活跃的天数
//     */
//    private int getDaysOfOldUserNoReturnAliveDevice(Integer platformId, String advertiserId) {
//        JSONObject daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccountJson = JSON.parseObject(
//                this.daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccount);
//        // 优先匹配平台Id_账户
//        String platformIdAndAccountkey = platformId + "_" + advertiserId;
//        String daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccount = daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccountJson.getString(
//                platformIdAndAccountkey);
//        if (NumberUtils.isDigits(daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccount)) {
//            return NumberUtils.toInt(daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccount);
//        } else {
//            // 再次匹配平台Id
//            String platformKey = String.valueOf(platformId);
//            String daysOfNoReturnAliveDeviceByPlatformId = daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccountJson.getString(platformKey);
//            if (NumberUtils.isDigits(daysOfNoReturnAliveDeviceByPlatformId)) {
//                return NumberUtils.toInt(daysOfNoReturnAliveDeviceByPlatformId);
//            } else {
//                log.warn(
//                        "olduser can`t find the days of no return active device config, platformId={}, advertiserId={}, "
//                                + "daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccountJson={}",
//                        platformId, advertiserId, daysOfOldUserNoReturnAliveDeviceByPlatformIdAndAccountJson.toJSONString());
//                return 0;
//            }
//        }
//    }
//
//    public DeliveryDeviceInfo getForRedis(String key) {
//        return null;
//    }
//}
