package com.lwby.aas.handle;

public enum AttributionType{
    CHANNEL("channel"),PLAN("plan"),CROSS_PLATFORM("cross_platform");

    private String name;

    private AttributionType(String name){
        this.name = name;
    }

    public String getName(){
        return this.name;
    }

    public int select(int channelId,int planId){
        switch (this){
            case PLAN:
                return planId;
            case CHANNEL:
                return channelId;
        }
        return -1;
    }
}