package com.lwby.aas.util;

import org.apache.commons.lang3.time.FastDateFormat;

import java.time.ZoneId;
import java.util.TimeZone;

public class DateTimUtils {
    static final FastDateFormat UNSIGNED_DATE_FORMAT = FastDateFormat.getInstance("yyyyMMdd", TimeZone.getTimeZone(ZoneId.of("Asia/Shanghai")));
    static final FastDateFormat DATE_FORMAT = FastDateFormat.getInstance("yyyy-MM-dd", TimeZone.getTimeZone(ZoneId.of("Asia/Shanghai")));

    static final FastDateFormat UNSIGNED_DATE_TIME_FORMAT = FastDateFormat.getInstance("yyyyMMddHHmmss", TimeZone.getTimeZone(ZoneId.of("Asia/Shanghai")));

    public static String getUnsignedDate(){
        return UNSIGNED_DATE_FORMAT.format(System.currentTimeMillis());
    }

    public static String getUnsignedDateTime(){
        return UNSIGNED_DATE_TIME_FORMAT.format(System.currentTimeMillis());
    }

    public static String getDate(){
        return DATE_FORMAT.format(System.currentTimeMillis());
    }


}
