package com.lwby.aas.util;

import javax.servlet.http.HttpServletRequest;


public class IPUtils {
    public static String getIpAddr(HttpServletRequest request) {
        String ip = request.getHeader("x-forwarded-for");

        if (check(ip)) {
            ip = request.getHeader("Proxy-Client-IP");
        }
        if (check(ip)) {
            ip = request.getHeader("WL-Proxy-Client-IP");
        }
        if (check(ip)) {
            try {
                ip = request.getRemoteAddr();
            }catch (Exception e){
            }
        }

        return ip;
    }

    public static boolean check(String ip){
        return (ip == null || ip.length() == 0 || ip.charAt(0)=='u' || ip.charAt(0)=='U');
    }

    public static String getRealIpAddr(HttpServletRequest request) {
        String ip = getIpAddr(request);

        if(ip != null && ip.indexOf(",") >= 7) {
            String sa[] = ip.split(",");

            for (int i = 0; i < sa.length; i++) {
                String _t = sa[i];
                if (_t.length()>0 && _t.charAt(0)!='u' && _t.charAt(0)!='U') {
                    ip = _t;
                    break;
                }
            }
        }
        return ip;
    }
}
