package com.lwby.aas.vo;

import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class BookStoreEvent {
    public static final String ADD_USER_READ_TIME = "addUserReadTime";
    public static final String USER_ADD_BOOK_SHELF = "userAddBookShelf";
    public static final String USER_DELETE_BOOK_SHELF = "userDeleteBookShelf";
    public static final String PART_ID = "partId";
    public static final String PART_NUM = "partNum";
    public static final String BOOK_ID = "bookId";
    private String id;
    private Integer bookStoreEvent;
    private ClientInfo clientInfo;
    private String pushProvider;
    private String pushToken;
    private Map<String, Object> extraData;
    private Date createTime;
}